Index: uspace/drv/bus/usb/usbhid/mouse/mousedev.c
===================================================================
--- uspace/drv/bus/usb/usbhid/mouse/mousedev.c	(revision 4093b1457cc470b9d70527e5ea6f6dbf5b1bdcdc)
+++ uspace/drv/bus/usb/usbhid/mouse/mousedev.c	(revision e502411123ac12542c03be31503721c9b6bc91f4)
@@ -124,5 +124,5 @@
 {
 	usb_mouse_t *mouse_dev = (usb_mouse_t *) fun->driver_data;
-	
+
 	if (mouse_dev == NULL) {
 		usb_log_debug("default_connection_handler: Missing "
@@ -131,14 +131,14 @@
 		return;
 	}
-	
+
 	usb_log_debug("default_connection_handler: fun->name: %s\n",
 	              fun->name);
 	usb_log_debug("default_connection_handler: mouse_sess: %p, "
 	    "wheel_sess: %p\n", mouse_dev->mouse_sess, mouse_dev->wheel_sess);
-	
+
 	async_sess_t **sess_ptr =
 	    (str_cmp(fun->name, HID_MOUSE_FUN_NAME) == 0) ?
 	    &mouse_dev->mouse_sess : &mouse_dev->wheel_sess;
-	
+
 	async_sess_t *sess =
 	    async_callback_receive_start(EXCHANGE_SERIALIZE, icall);
@@ -170,5 +170,5 @@
 	mouse->mouse_sess = NULL;
 	mouse->wheel_sess = NULL;
-	
+
 	return mouse;
 }
@@ -179,9 +179,9 @@
 {
 	assert(mouse_dev != NULL);
-	
+
 	// hangup session to the console
 	if (mouse_dev->mouse_sess != NULL)
 		async_hangup(mouse_dev->mouse_sess);
-	
+
 	if (mouse_dev->wheel_sess != NULL)
 		async_hangup(mouse_dev->wheel_sess);
@@ -199,8 +199,8 @@
 		return;
 	}
-	
+
 	int count = ((wheel < 0) ? -wheel : wheel) * ARROWS_PER_SINGLE_WHEEL;
 	int i;
-	
+
 	for (i = 0; i < count; i++) {
 		/* Send arrow press and release. */
@@ -246,5 +246,5 @@
 {
 	assert(mouse_dev != NULL);
-	
+
 	if (mouse_dev->mouse_sess == NULL) {
 		usb_log_warning(NAME " No console session.\n");
@@ -264,8 +264,8 @@
 		async_exchange_end(exch);
 	}
-	
+
 	if (wheel != 0)
 		usb_mouse_send_wheel(mouse_dev, wheel);
-	
+
 	/*
 	 * Buttons
@@ -274,5 +274,5 @@
 	usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_BUTTON, 0);
 	usb_hid_report_path_set_report_id(path, hid_dev->report_id);
-	
+
 	usb_hid_report_field_t *field = usb_hid_report_get_sibling(
 	    hid_dev->report, NULL, path, USB_HID_PATH_COMPARE_END
@@ -309,5 +309,5 @@
 		    USB_HID_REPORT_TYPE_INPUT);
 	}
-	
+
 	usb_hid_report_path_free(path);
 
@@ -321,5 +321,5 @@
 	assert(hid_dev != NULL);
 	assert(mouse != NULL);
-	
+
 	/* Create the exposed function. */
 	usb_log_debug("Creating DDF function %s...\n", HID_MOUSE_FUN_NAME);
@@ -330,5 +330,5 @@
 		return ENOMEM;
 	}
-	
+
 	fun->ops = &mouse->ops;
 	fun->driver_data = mouse;
@@ -341,5 +341,5 @@
 		return rc;
 	}
-	
+
 	usb_log_debug("Adding DDF function to category %s...\n", 
 	    HID_MOUSE_CATEGORY);
@@ -352,5 +352,5 @@
 		return rc;
 	}
-	
+
 	/*
 	 * Special function for acting as keyboard (wheel)
@@ -364,5 +364,5 @@
 		return ENOMEM;
 	}
-	
+
 	/*
 	 * Store the initialized HID device and HID ops
@@ -379,5 +379,5 @@
 		return rc;
 	}
-	
+
 	usb_log_debug("Adding DDF function to category %s...\n", 
 	    HID_MOUSE_WHEEL_CATEGORY);
@@ -390,5 +390,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -441,5 +441,5 @@
 {
 	usb_log_debug("Initializing HID/Mouse structure...\n");
-	
+
 	if (hid_dev == NULL) {
 		usb_log_error("Failed to init keyboard structure: no structure"
@@ -447,5 +447,5 @@
 		return EINVAL;
 	}
-	
+
 	usb_mouse_t *mouse_dev = usb_mouse_new();
 	if (mouse_dev == NULL) {
@@ -454,5 +454,5 @@
 		return ENOMEM;
 	}
-	
+
 	// FIXME: This may not be optimal since stupid hardware vendor may
 	// use buttons 1, 2, 3 and 6000 and we would allocate array of
@@ -464,5 +464,5 @@
 	    hid_dev->report_id) + 1;
 	mouse_dev->buttons = calloc(mouse_dev->buttons_count, sizeof(int32_t));
-	
+
 	if (mouse_dev->buttons == NULL) {
 		usb_log_error(NAME ": out of memory, giving up on device!\n");
@@ -474,12 +474,12 @@
 	// save the Mouse device structure into the HID device structure
 	*data = mouse_dev;
-	
+
 	// set handler for incoming calls
 	mouse_dev->ops.default_handler = default_connection_handler;
-	
+
 	// TODO: how to know if the device supports the request???
 	usbhid_req_set_idle(&hid_dev->usb_dev->ctrl_pipe, 
 	    hid_dev->usb_dev->interface_no, IDLE_RATE);
-	
+
 	int rc = usb_mouse_create_function(hid_dev, mouse_dev);
 	if (rc != EOK) {
@@ -487,5 +487,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -500,5 +500,5 @@
 		return false;
 	}
-	
+
 	usb_mouse_t *mouse_dev = (usb_mouse_t *)data;
 		
@@ -522,5 +522,5 @@
 	    USB_MOUSE_BOOT_REPORT_DESCRIPTOR, 
 	    USB_MOUSE_BOOT_REPORT_DESCRIPTOR_SIZE);
-	
+
 	if (rc != EOK) {
 		usb_log_error("Failed to parse boot report descriptor: %s\n",
@@ -528,8 +528,8 @@
 		return rc;
 	}
-	
+
 	rc = usbhid_req_set_protocol(&hid_dev->usb_dev->ctrl_pipe, 
 	    hid_dev->usb_dev->interface_no, USB_HID_PROTOCOL_BOOT);
-	
+
 	if (rc != EOK) {
 		usb_log_warning("Failed to set boot protocol to the device: "
@@ -537,5 +537,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
